<p>I'm supporting this PR from the sidelines! :)</p>
<p>I've downloaded the release version of Pharo 7.0 and noticed there were linker resolution errors on my CentOS: <code>libcurl-gnutls.so</code> does not exist on Fedora/CentOS, only the openSSL flavor.</p>
<p>Plus the linker wasn't able to resolve <code>libssl.so.1.0.0</code> and <code>libcrypto.so.1.0.0</code>.</p>
<p>Both are fixed by this PR (I built it in a Xenial docker container), and the third parties are brought up to date, so really, two birds with one stone.</p>
<p>It seems Travis only has issues building the macOS versions.</p>

<p style="font-size:small;-webkit-text-size-adjust:none;color:#666;">—<br />You are receiving this because you are subscribed to this thread.<br />Reply to this email directly, <a href="https://github.com/OpenSmalltalk/opensmalltalk-vm/pull/386#issuecomment-486225909">view it on GitHub</a>, or <a href="https://github.com/notifications/unsubscribe-auth/AIJPEW65UXCNCT7J4GGVOLDPSBM75ANCNFSM4HB5W2JQ">mute the thread</a>.<img src="https://github.com/notifications/beacon/AIJPEWZG2AO6RQ763ANUGH3PSBM75ANCNFSM4HB5W2JQ.gif" height="1" width="1" alt="" /></p>
<script type="application/json" data-scope="inboxmarkup">{"api_version":"1.0","publisher":{"api_key":"05dde50f1d1a384dd78767c55493e4bb","name":"GitHub"},"entity":{"external_key":"github/OpenSmalltalk/opensmalltalk-vm","title":"OpenSmalltalk/opensmalltalk-vm","subtitle":"GitHub repository","main_image_url":"https://github.githubassets.com/images/email/message_cards/header.png","avatar_image_url":"https://github.githubassets.com/images/email/message_cards/avatar.png","action":{"name":"Open in GitHub","url":"https://github.com/OpenSmalltalk/opensmalltalk-vm"}},"updates":{"snippets":[{"icon":"PERSON","message":"@niquis7 in #386: I'm supporting this PR from the sidelines! :)\r\n\r\nI've downloaded the release version of Pharo 7.0 and noticed there were linker resolution errors on my CentOS: `libcurl-gnutls.so` does not exist on Fedora/CentOS, only the openSSL flavor.\r\n\r\nPlus the linker wasn't able to resolve `libssl.so.1.0.0` and `libcrypto.so.1.0.0`.\r\n\r\nBoth are fixed by this PR (I built it in a Xenial docker container), and the third parties are brought up to date, so really, two birds with one stone.\r\n\r\nIt seems Travis only has issues building the macOS versions."}],"action":{"name":"View Pull Request","url":"https://github.com/OpenSmalltalk/opensmalltalk-vm/pull/386#issuecomment-486225909"}}}</script>
<script type="application/ld+json">[
{
"@context": "http://schema.org",
"@type": "EmailMessage",
"potentialAction": {
"@type": "ViewAction",
"target": "https://github.com/OpenSmalltalk/opensmalltalk-vm/pull/386#issuecomment-486225909",
"url": "https://github.com/OpenSmalltalk/opensmalltalk-vm/pull/386#issuecomment-486225909",
"name": "View Pull Request"
},
"description": "View this Pull Request on GitHub",
"publisher": {
"@type": "Organization",
"name": "GitHub",
"url": "https://github.com"
}
}
]</script>